org.eclipse.viatra.query.tooling.core.project

## Class XmlDocumentHelper

- java.lang.Object
- - org.eclipse.viatra.query.tooling.core.project.XmlDocumentHelper

-     public final class XmlDocumentHelper
      extends java.lang.Object

  Utility methods for XML document handling.

- - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static javax.xml.parsers.DocumentBuilderFactory` | `getDefaultFactory()`
    `static org.w3c.dom.Document` | `getEmptyXmlDocument()`
    `static org.w3c.dom.Document` | `loadDocument(java.io.InputStream is)`
    `static java.io.InputStream` | `saveDocument(org.w3c.dom.Document document)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### getDefaultFactory

          public static javax.xml.parsers.DocumentBuilderFactory getDefaultFactory()

    - #### loadDocument

          public static org.w3c.dom.Document loadDocument(java.io.InputStream is)
                                                   throws org.xml.sax.SAXException,
                                                          java.io.IOException,
                                                          javax.xml.parsers.ParserConfigurationException

      Throws:
        `org.xml.sax.SAXException`
        `java.io.IOException`
        `javax.xml.parsers.ParserConfigurationException`

    - #### saveDocument

          public static java.io.InputStream saveDocument(org.w3c.dom.Document document)
                                                  throws javax.xml.transform.TransformerException,
                                                         java.io.IOException

      Throws:
        `javax.xml.transform.TransformerException`
        `java.io.IOException`

    - #### getEmptyXmlDocument

          public static org.w3c.dom.Document getEmptyXmlDocument()
                                                          throws javax.xml.parsers.ParserConfigurationException

      Throws:
        `javax.xml.parsers.ParserConfigurationException`